#if (NOT ${OPENSDR_CHECKS})
#set(OPENSDR_CHECKS 1)

  macro(opensdr_check_var name)
    if( "${${name}}" STREQUAL "" )
      message(FATAL_ERROR "${name} variable not set.")
    else()
      set(cur_mode "no")
      set(list_var "${ARGN}")
      foreach(loop_var IN LISTS list_var)
        if ( "${loop_var}" STREQUAL "IS_TRUE" )
          if( "${${name}}" STREQUAL 0 )
            message(FATAL_ERROR "${name} set to false.")
          endif()
        endif()
      endforeach()
      unset(list_var)
      unset(cur_mode)
    endif()
  endmacro()
  
  macro(opensdr_check_var_and_set_default name default)
    if( "${${name}}" STREQUAL "" )
      set(${name} ${default})
      message(STATUS "${name} variable set to default: ${default}")
    endif()
    set(${name} ${${name}} CACHE PATH "" FORCE)
  endmacro()
   
  macro(opensdr_check_module_enabled_var module_name)
    opensdr_check_var_and_set_default(OPENSDR_${module_name}_ENABLED 0)
  endmacro() 
  
  macro(opensdr_check_module_enabled module_name)
    opensdr_check_var_and_set_default(OPENSDR_${module_name}_ENABLED 0)
  endmacro() 

#endif()
